curl --request POST \
--globoff \
--url 'https://{{baseUrl}}/amlyze-ws-rest/account' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"communicationNumber": "1b1e1c23-f62f-4338-90b9-8d54993dd2cd",
"requester": "SYSTEMX",
"businessUnit": "sandbox",
"businessEntityExtId": "ORG_IMPORT_B1_TEST",
"accountExtId": "ACC_001",
"accountNumber": "LI9208800274335945522",
"accountStatus": "ACTIVE",
"currencyCode": "EUR",
"openingDate": "2023-09-05T08:07:34.605Z"
}
'
{
"errorCode": "<string>",
"errorDescription": "<string>",
"resultType": "ERROR"
}{
"resultType": "REQUEST_REJECTED",
"errorCode": "O001",
"errorDescription": "CommunicationNumber already used in AMLYZE"
}{
"resultType": "REQUEST_REJECTED",
"status": 500,
"error": "Internal Server Error"
}Account
Account import
This section provides information how to submit account details to our database.
POST
/
amlyze-ws-rest
/
account
curl --request POST \
--globoff \
--url 'https://{{baseUrl}}/amlyze-ws-rest/account' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"communicationNumber": "1b1e1c23-f62f-4338-90b9-8d54993dd2cd",
"requester": "SYSTEMX",
"businessUnit": "sandbox",
"businessEntityExtId": "ORG_IMPORT_B1_TEST",
"accountExtId": "ACC_001",
"accountNumber": "LI9208800274335945522",
"accountStatus": "ACTIVE",
"currencyCode": "EUR",
"openingDate": "2023-09-05T08:07:34.605Z"
}
'
{
"errorCode": "<string>",
"errorDescription": "<string>",
"resultType": "ERROR"
}{
"resultType": "REQUEST_REJECTED",
"errorCode": "O001",
"errorDescription": "CommunicationNumber already used in AMLYZE"
}{
"resultType": "REQUEST_REJECTED",
"status": 500,
"error": "Internal Server Error"
}Authorizations
Body
application/json
Account to create or update
Element is used to indicate whether an account needs to be created or the existing account's data to be updated. If not provided, 'CREATE' is the default. When using 'UPDATE', all existing data for the account will be replaced by the new data provided.
Available options:
CREATE, UPDATE It serves to specify the unique identifier for the business unit. Business units are logical groupings of users and data. Each business unit can have its own set of users, permissions, and data access rules. Value is taken from /classifier/businessUnit endpoint.âMandatory field for clients utilizing a multi-organizational solution. Omit this parameter unless instructed about it.
Maximum string length:
255